/*
 * Copyright (c) 2021, orioc and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
 */
 package com.bonus.sharedstation.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.dto.WashClothingOrderDTO;
import com.bonus.sharedstation.app.entity.WashClothingPrice;
import com.bonus.sharedstation.web.dto.WashClothingPriceDTO;

import javax.servlet.http.HttpServletResponse;

/**
 * 洗衣 种类 价格 web 维护 Service
 *
 * @author zhh
 * @date 2024-11-15
 */
public interface IWashClothingPriceWebService extends IService<WashClothingPrice> {

    /**
     * 新增
     * @return 操作影响行数
     */
    AjaxResult insert(WashClothingPrice dto);


    /**
     * 更新
     *
     */
    AjaxResult updateInfoById(WashClothingPrice dto);

//
    /**
     * 删除绿植种类价格务\
     *
     * @param

     * @return 操作影响行数
     */
    AjaxResult delete(WashClothingPrice dto);
//
    /**
     * 分页查询列表
     * @param
     * @return
     */
    AjaxResult getListPage(WashClothingPriceDTO dto);

    /**
     * app
     * @param dto
     * @return
     */
    AjaxResult getListPageApp(WashClothingPriceDTO dto);


    AjaxResult selectAll(WashClothingPrice dto);

    /**
     * 详情
     * @param
     * @return
     */
    AjaxResult selectInfoById(WashClothingPrice dto);


    AjaxResult getListWeb(WashClothingOrderDTO dto);

    void getOrderListWebExpertor(WashClothingOrderDTO dto, HttpServletResponse response);
}
